<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/refs.basic.other.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'book.yaml.php',
    1 => 'Yaml',
    2 => 'Serializa&ccedil;&atilde;o de dados YAML',
  ),
  'up' => 
  array (
    0 => 'refs.basic.other.php',
    1 => 'Outras Extens&otilde;es B&aacute;sicas',
  ),
  'prev' => 
  array (
    0 => 'v8jsexception.getjstrace.php',
    1 => 'V8JsException::getJsTrace',
  ),
  'next' => 
  array (
    0 => 'yaml.setup.php',
    1 => 'Instala&ccedil;&atilde;o/Configura&ccedil;&atilde;o',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/yaml/book.xml',
  ),
  'history' => 
  array (
  ),
  'extra_header_links' => 
  array (
    'rel' => 'alternate',
    'href' => '/manual/en/feeds/book.yaml.atom',
    'type' => 'application/atom+xml',
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="book.yaml" class="book">
 
 <h1 class="title">Serialização de dados YAML</h1>
 

 
 <div id="intro.yaml" class="preface">
  <h1 class="title">Introdução</h1>
  <p class="para">
   Esta extensão implementa o padrão de serialização de dados
   <a href="http://www.yaml.org/" class="link external">&raquo;&nbsp;YAML Ain&#039;t Markup Language (YAML)</a>. Análise e
   emissão são gerenciadas pela <a href="http://pyyaml.org/wiki/LibYAML" class="link external">&raquo;&nbsp;biblioteca
   LibYAML</a>.
  </p>
 </div>
 

 







 







 







 






 








<ul class="chunklist chunklist_book"><li><a href="yaml.setup.php">Instala&ccedil;&atilde;o/Configura&ccedil;&atilde;o</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.requirements.php">Depend&ecirc;ncias</a></li><li><a href="yaml.installation.php">Instala&ccedil;&atilde;o</a></li><li><a href="yaml.configuration.php">Configura&ccedil;&otilde;es em Execu&ccedil;&atilde;o</a></li></ul></li><li><a href="yaml.constants.php">Constantes predefinidas</a></li><li><a href="yaml.examples.php">Exemplos</a></li><li><a href="yaml.callbacks.php">Fun&ccedil;&otilde;es de retorno</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.callbacks.parse.php">Fun&ccedil;&otilde;es de retorno de an&aacute;lise</a></li><li><a href="yaml.callbacks.emit.php">Fun&ccedil;&otilde;es de retorno de emiss&atilde;o</a></li></ul></li><li><a href="ref.yaml.php">Fun&ccedil;&otilde;es de Yaml</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="function.yaml-emit.php">yaml_emit</a> — Retorna a representa&ccedil;&atilde;o YAML de um valor</li><li><a href="function.yaml-emit-file.php">yaml_emit_file</a> — Envia a representa&ccedil;&atilde;o YAML de um valor para um arquivo</li><li><a href="function.yaml-parse.php">yaml_parse</a> — Analisa um fluxo YAML</li><li><a href="function.yaml-parse-file.php">yaml_parse_file</a> — Analisa um fluxo YAML de um arquivo</li><li><a href="function.yaml-parse-url.php">yaml_parse_url</a> — Analisa um fluxo Yaml de um URL</li></ul></li></ul></div><?php manual_footer($setup); ?>